Get automation health summary
GET
/api/v3/automations/health-summary
const url = 'https://api.tryletterhead.com/api/v3/automations/health-summary?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/automations/health-summary?api=true' \ --header 'Authorization: Bearer <token>'A rollup of your companyโs automations: how many exist in total, how many are currently active (running or processing), and how many need attention because theyโve stopped on an error (including one whose template was disabled and hasnโt been replaced).
v3 endpoints expect a company API key.
Authorizations
Section titled โAuthorizations โParameters
Section titled โ Parameters โQuery Parameters
Section titled โQuery Parameters โ api
required
boolean
Required. Set to true.
Responses
Section titled โ Responses โ200 OK
Media type application/json
object
items
object
total
integer
totalActive
integer
totalErrored
integer
message
string
total
integer
Example
{ "items": { "total": 12, "totalActive": 9, "totalErrored": 1 }, "message": "Automation health summary fetched successfully.", "total": 0}Still can’t find what you need? Contact support.